Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.html.jsp.blaf
Class LabelStyledTextTag

`java.lang.Object
oracle.cabo.ui.jsps.tags.BaseTag
oracle.cabo.ui.jsps.tags.BaseUINodeTag
oracle.cabo.ui.jsps.tags.StyledTextTag
oracle.jbo.html.jsp.blaf.JboStyledTextTag
oracle.jbo.html.jsp.blaf.LabelStyledTextTag`

All Implemented Interfaces:
  javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag, oracle.cabo.ui.jsps.tags.UINodeEnvelopeTag, oracle.cabo.ui.jsps.tags.UINodeTag, oracle.cabo.ui.jsps.tags.UIXTag

public class LabelStyledTextTag
extends JboStyledTextTag

Field Summary

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`LabelStyledTextTag()` Constructor

Method Summary
`void` | `setProperties(oracle.cabo.ui.MutableUINode node)` initializeProperties

Methods inherited from class oracle.jbo.html.jsp.blaf.JboStyledTextTag
`getDataitem, getDatasource, getPageContext, release, setDataitem, setDatasource`

Methods inherited from class oracle.cabo.ui.jsps.tags.StyledTextTag
`createUINode, setAccessKey, setAccessKeyBinding, setDescription, setDescriptionBinding, setDestination, setDestinationBinding, setInlineStyle, setInlineStyleBinding, setLabeledNodeId, setLabeledNodeIdBinding, setOnClick, setOnClickBinding, setOnDoubleClick, setOnDoubleClickBinding, setOnKeyDown, setOnKeyDownBinding, setOnKeyPress, setOnKeyPressBinding, setOnKeyUp, setOnKeyUpBinding, setOnMouseDown, setOnMouseDownBinding, setOnMouseMove, setOnMouseMoveBinding, setOnMouseOut, setOnMouseOutBinding, setOnMouseOver, setOnMouseOverBinding, setOnMouseUp, setOnMouseUpBinding, setPrimaryClientAction, setPrimaryClientActionBinding, setRendered, setRenderedBinding, setShortDesc, setShortDescBinding, setStyleClass, setStyleClassBinding, setText, setTextBinding, setTruncateAt, setTruncateAtBinding`

Methods inherited from class oracle.cabo.ui.jsps.tags.BaseUINodeTag
`addNode, doEndTag, doStartTag, getAttributeValue, getBoundAttributeValue, getExposeBeanWithKey, getId, getParent, getUINode, parseBinding, parseBinding, parseBoolean, parseBoundValue, parseChar, parseDate, parseInt, parseLong, parseStringArray, setAttributeValue, setAttributeValue, setBoundAttributeValue, setId, setNodeID, setPageContext, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Constructor Detail

### LabelStyledTextTag

    public LabelStyledTextTag()

  Constructor

Method Detail

### setProperties

    public void setProperties(oracle.cabo.ui.MutableUINode node)

  initializeProperties
  Overrides:
    `setProperties` in class `JboStyledTextTag`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.